#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Date
%define		pnam	Pcalc
Summary:	Date::Pcalc Perl module - Gregorian calendar date calculations
Summary(pl.UTF-8):	Moduł Perla Date::Pcalc - obliczenia na datach wg kalendarza gregoriańskiego
Name:		perl-Date-Pcalc
Version:	6.1
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6a719d8fe10ac673be5d09e003130aa8
Patch0:		build.patch
URL:		http://catcode.com/date/pcalc.html
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Bit-Vector >= 7.1
BuildRequires:	perl-Carp-Clan >= 5.3
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(anything_fake_or_conditional)'

%description
This package consists of a Perl module for all kinds of date
calculations based on the Gregorian calendar (the one used in all
western countries today), thereby complying with all relevant norms
and standards: ISO/R 2015-1971, DIN 1355 and, to some extent, ISO 8601
(where applicable).

%description -l pl.UTF-8
Ten pakiet zawiera moduł Perla do wszystkich rodzajów obliczeń na
datach opartych na kalendarzu gregoriańskim (używanym aktualnie we
wszystkich państwach zachodnich) w sposób zgodny z odpowiednimi
normami i standardami: ISO/R 2015-1971, DIN 1355 i, w pewnym zakresie,
ISO 8601.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a tools $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.txt CREDITS.txt INSTALL.txt README.txt EXAMPLES.txt
%dir %{perl_vendorarch}/Date
%{perl_vendorarch}/Date/Pcalc.pm
%dir %{perl_vendorarch}/Date/Pcalc
%{perl_vendorarch}/Date/Pcalc/Object.pm
%{perl_vendorarch}/Date/Pcalendar.pm
%dir %{perl_vendorarch}/Date/Pcalendar
%{perl_vendorarch}/Date/Pcalendar/*.pm
%dir %{perl_vendorarch}/auto/Date
%dir %{perl_vendorarch}/auto/Date/Pcalc
%{perl_vendorarch}/auto/Date/Pcalc/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Date/Pcalc/*.so
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}
%changelog
* Thu Jun 13 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Date-Pcalc.git;a=log;h=master

* Thu Jun 13 2013 Jan Rękorajski <baggins@pld-linux.org> efcc988
- don't use reserved words in enum
- rel 5

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> bf7ac06
- rebuild with perl 5.18.0
- release 4 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 784fb5f
- release 3

* Tue Oct 27 2009 amateja <amateja@pld-linux.org> 5096318
- added missing %dirs in %files section
- release 2

* Tue Oct 27 2009 amateja <amateja@pld-linux.org> 1df7be8
- updated to 6.1
- cleaned up BRs
- examples added
- cleaned up %files

* Tue Oct 20 2009 amateja <amateja@pld-linux.org> 6b944b0
- updated to 6.0

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 802b305
- release 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 54a93db
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ae52dbe
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 8cf21bb
- formatting

* Mon Apr 19 2004 ankry <ankry@pld-linux.org> b3ad64e
- license/description fixes

* Thu Mar 25 2004 Paweł Gołaszewski <blues@pld-linux.org> a9ff5a1
- release 3 (rel. 2 is in RA)

* Mon Mar 22 2004 Jakub Bogusz <qboosh@pld-linux.org> c5804fe
- pl, License

* Mon Mar 22 2004 luzik <luzik@pld-linux.org> 644d502
- initial release

